/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.layout.page.template.admin.web.internal.headless.delivery.dto.v1_0.converter;

import com.liferay.headless.delivery.dto.v1_0.ContentSubtype;
import com.liferay.headless.delivery.dto.v1_0.ContentType;
import com.liferay.headless.delivery.dto.v1_0.DisplayPageTemplate;
import com.liferay.layout.page.template.model.LayoutPageTemplateEntry;

/**
 * @author Rubén Pulido
 */
public class DisplayPageTemplateDTOConverter {

	public static DisplayPageTemplate toDTO(
		LayoutPageTemplateEntry layoutPageTemplateEntry) {

		return new DisplayPageTemplate() {
			{
				contentType = new ContentType() {
					{
						className = layoutPageTemplateEntry.getClassName();
					}
				};
				name = layoutPageTemplateEntry.getName();

				setContentSubtype(
					() -> {
						if (layoutPageTemplateEntry.getClassTypeId() == 0) {
							return null;
						}

						return new ContentSubtype() {
							{
								subtypeId =
									layoutPageTemplateEntry.getClassTypeId();
							}
						};
					});
			}
		};
	}

}